/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.shale.usecases.ajax;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * <p>Simple address bean with street, city, state, and zipCode properties.</p>
 *
 * $Id$
 */
public class Address {
    // -------------------------------------------------------- Static Variables


    /**
     * <p>The <code>Log</code> instance for this class.</p>
     */
    private static final Log log = LogFactory.getLog(Address.class);


    // -------------------------------------------------------------- Properties

    /**
     * <p>The street.</p>
     */
    private String street = null;


    /**
     * <p>Return the street.</p>
     */
    public String getStreet() {

        return this.street;

    }


    /**
     * <p>Set the street.</p>
     *
     * @param street The new street street
     */
    public void setStreet(String street) {

        this.street = street;

    }


    /**
     * <p>The city.</p>
     */
    private String city = null;


    /**
     * <p>Return the city.</p>
     */
    public String getCity() {

        return this.city;

    }


    /**
     * <p>Set the city.</p>
     *
     * @param city The new city city
     */
    public void setCity(String city) {

        this.city = city;

    }


    /**
     * <p>The state.</p>
     */
    private String state = null;


    /**
     * <p>Return the state.</p>
     */
    public String getState() {

        return this.state;

    }


    /**
     * <p>Set the state.</p>
     *
     * @param state The new state state
     */
    public void setState(String state) {

        this.state = state;

    }

    /**
     * <p>The zipCode.</p>
     */
    private String zipCode = null;


    /**
     * <p>Return the zipCode.</p>
     */
    public String getZipCode() {

        return this.zipCode;

    }


    /**
     * <p>Set the zipCode.</p>
     *
     * @param zipCode The new zipCode zipCode
     */
    public void setZipCode(String zipCode) {

        this.zipCode = zipCode;

    }

}
